# $Revision: 1.40 $, $Date: 2005/07/23 21:17:35 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# why tests fail ?
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Harness
Summary:	Test::Harness - run Perl standard test scripts with statistics
Summary(pl):	Test::Harness - uruchamianie perlowych skryptw testowych ze statystykami
Name:		perl-Test-Harness
# NOTE: version 2.48 in perl-modules-5.8.7
Version:	2.52
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fdfdc15c4b78d6c8ff97a234b38bbb03
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Devel-CoreStack
BuildRequires:	perl-Test-Pod >= 0.95
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Harness - module that runs perl standard test scripts with
statistics.

%description -l pl
Test::Harness - modu uruchamiajcy standardowe perlowe skrypty
testowe ze statystykami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes NOTES
%attr(755,root,root) %{_bindir}/prove
%{perl_vendorlib}/%{pdir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Harness.spec,v $
Revision 1.40  2005/07/23 21:17:35  radek
- version 2.52

Revision 1.39  2005/06/14 07:04:42  petec
- up to 2.48

Revision 1.38  2005/05/05 00:44:30  ankry
- updated to 2.46

Revision 1.37  2004/12/03 14:36:37  radek
- autoupdated to 2.44

Revision 1.36  2004/11/03 22:30:47  paladine
- formatting

Revision 1.35  2004/06/05 18:10:48  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.34  2004/05/06 18:43:23  ankry
- fixed perl-devel BR

Revision 1.33  2004/05/03 00:55:42  ankry
- license fixes, cosmetics

Revision 1.32  2004/05/02 07:32:45  adamg
- updated to 2.42

Revision 1.31  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.30  2004/01/25 00:07:14  arekm
- autoupdated to 2.40

Revision 1.29  2003/12/07 20:00:30  migo
- up to 2.38
- fixed License, typo in changelog
- one test fails

Revision 1.28  2003/11/16 12:53:44  migo
- up to 2.36

Revision 1.27  2003/11/09 18:46:37  migo
- up to 2.34

Revision 1.26  2003/11/08 19:02:57  qboosh
- fixed prove attr; updated perl BR for vendordirs

Revision 1.25  2003/11/08 18:55:33  migo
- up to 2.32
- new bcond style
- added conditional BRs
- added "prove" to package

Revision 1.24  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.23  2003/08/20 21:21:41  grzegol
- updated to 2.30

Revision 1.22  2003/08/18 08:09:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/07/30 23:13:28  grzegol
- updated to 2.29

Revision 1.20  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.19  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.17  2003/04/09 15:49:27  ankry
- rel. 4

Revision 1.16  2003/03/15 13:10:24  qboosh
- cosmetics in pl summary

Revision 1.15  2003/03/15 12:46:14  radek
- removed perl_vendorlib/Test directory, it belongs to perl
- got rid of the Conflicts: perl-modules <= <whatever>
- provided informative summaries, removed non-informative descriptions
- added tests (default off...  they fail ;-> )

Revision 1.14  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.12  2002/07/16 23:50:57  ankry
- cleaning

Revision 1.11  2002/07/15 23:28:12  ankry
- added transtations
- conficts with old perl-modules
- moved %%{perl_privlib}/Test from perl-modules
- release 2

Revision 1.10  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.9  2002/07/11 08:04:32  depesz
- new version; should work; STBR

Revision 1.8  2002/07/10 08:58:04  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.7  2002/05/15 12:44:13  areq
- 2.21, STBR

Revision 1.6  2002/03/23 15:43:28  kloczek
- release 5.

Revision 1.5  2002/03/20 09:56:46  qboosh
- added descriptions, release 4

Revision 1.4  2002/03/03 20:46:30  marcus
- rel.3.

Revision 1.3  2002/02/25 10:34:33  depesz
cleanup; revision++

Revision 1.2  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/21 15:51:39  zagrodzki
- initial release, no description yet
